[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TBinaryObjectReader.Read

Read raw data from stream

## Declaration

Source position: classesh.inc line 1162

`public procedure TBinaryObjectReader.Read(`
`var Buf;`
`Count: LongInt`
`); override;`

## Description

Read is introduced for Delphi compatibility to read raw data from the component stream. This should not be used in production code as it will totally mess up the streaming.

## See also

TAbstractObjectReader.Read |  | Read raw data from stream
TReader.Read |  | Read raw data from stream

Documentation generated on: Feb 26 2014